curl --request POST \
--url https://cool.jobmojito.com/functions/v1/job-interview-pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interview_result_id": "93c98d21-e04d-4a84-9afa-ed154cf73636",
"interview_result_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"export_features_result": {
"mojito_language_code": "en",
"contact_details": true,
"ai_recruiter_assessment": true,
"ai_scoring_rubric": false,
"analytics": true,
"transcript": true,
"files": true,
"answer_recording": false,
"session_recording": false,
"group_by_question": false
},
"store_file": true
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/job-interview-pdf"
payload = {
"interview_result_id": "93c98d21-e04d-4a84-9afa-ed154cf73636",
"interview_result_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"export_features_result": {
"mojito_language_code": "en",
"contact_details": True,
"ai_recruiter_assessment": True,
"ai_scoring_rubric": False,
"analytics": True,
"transcript": True,
"files": True,
"answer_recording": False,
"session_recording": False,
"group_by_question": False
},
"store_file": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_result_id: '93c98d21-e04d-4a84-9afa-ed154cf73636',
interview_result_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
export_features_result: {
mojito_language_code: 'en',
contact_details: true,
ai_recruiter_assessment: true,
ai_scoring_rubric: false,
analytics: true,
transcript: true,
files: true,
answer_recording: false,
session_recording: false,
group_by_question: false
},
store_file: true
})
};
fetch('https://cool.jobmojito.com/functions/v1/job-interview-pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pdf_export_url": "<string>",
"pdf_export_valid_until": "2026-09-01T12:00:00.000Z"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Generate an interview report
Generates an interview result report as a PDF (returns a signed URL), raw HTML, or structured JSON. Provide either interview_result_id for a single result or interview_result_ids for a combined multi-result report.
Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
pdf, html, json "93c98d21-e04d-4a84-9afa-ed154cf73636"
Generate a single combined report for multiple results.
Show child attributes
Show child attributes
When true (pdf only), persist the file to storage and return a signed URL.
Response
The generated report. The body is one of three shapes, selected by the request export_type: pdf → { pdf_export_url, pdf_export_valid_until }; html → { html_export }; json → { json_export }.
- PDF export
- HTML export
- JSON export
The generated report. Exactly one of the three shapes below is returned, selected by the request export_type: pdf → { pdf_export_url, pdf_export_valid_until }; html → { html_export }; json → { json_export }.